package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglDsfDto;
import com.mosty.base.model.dto.jcgl.TbJcglDsfJudgeDto;
import com.mosty.base.model.entity.jcgl.TbJcglDsf;
import com.mosty.base.model.query.jcgl.TbJcglDsfQuery;
import com.mosty.base.model.vo.jcgl.TbJcglDsfVo;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

import java.util.List;

public interface TbJcglDsfService {

    @ApiOperation("添加第三方数据")
    int addEntity(TbJcglDsfDto dto);

    @ApiOperation("修改第三方数据")
    int editEntity(TbJcglDsfDto dto);

    @ApiOperation("批量删除第三方")
    void deleteEntity(List<String> ids);

    @ApiOperation("查询第三方列表数据")
    IPage<TbJcglDsf> getPageList(TbJcglDsfQuery dto);

    @ApiOperation("查询第三方详情")
    TbJcglDsf getInfo(String id);

    @ApiOperation("审核")
    int judge(TbJcglDsfJudgeDto dto);

    @ApiOperation("检查第三方是否过期")
    void checkDsf();

    @ApiOperation("根据Code查询第三方详情")
    TbJcglDsfVo getDsfInfo(String code);
}
